Bug 1458052 (CVE-2017-7514)

Summary: CVE-2017-7514 SAT 5 XSS in the Failed Systems page
Product: [Other] Security Response Reporter: Kurt Seifried <kseifried>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: bkearney, jhutar, meissner, security-response-team, taw, thomas, tkasparek, tlestach
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
A cross-site scripting (XSS) flaw was found in how the failed action entry is processed in Satellite 5. A user able to specify a failed action could exploit this flaw to perform XSS attacks against other Satellite users.
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-06-26 17:40:51 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1452080    
Bug Blocks: 1452673    

Description Kurt Seifried 2017-06-01 21:35:28 UTC
Jan Hutar of Red Hat reports: 

By altering client side code or with a custom event failure message (via schedule.failSystemAction API call, the Schedule -> Failed Actions -> <action> -> Failed Systems page allows XSS.

Comment 1 Kurt Seifried 2017-06-01 21:36:28 UTC
Acknowledgements:

Name: Jan Hutar (Red Hat)

Comment 2 errata-xmlrpc 2017-06-20 20:23:08 UTC
This issue has been addressed in the following products:

  Red Hat Satellite 5.8
  Red Hat Satellite 5.8 ELS

Via RHSA-2017:1558 https://access.redhat.com/errata/RHSA-2017:1558